Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.simpleframework.xml.filter
Class PlatformFilter

    java.lang.Object
      org.simpleframework.xml.filter.StackFilter
          org.simpleframework.xml.filter.PlatformFilter

All Implemented Interfaces:
  Filter

    public class PlatformFilter

extends StackFilter

The `PlatformFilter` object makes use of all filter types this resolves user specified properties first, followed by system properties, and finally environment variables. This filter will be the default filter used by most applications as it can make use of all values within the application platform.

Author:
  Niall Gallagher

Constructor Summary
`PlatformFilter()` Constructor for the `PlatformFilter` object.
`PlatformFilter(java.util.Map map)` Constructor for the `PlatformFilter` object.

Method Summary

Methods inherited from class org.simpleframework.xml.filter.StackFilter
`push, replace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlatformFilter

    public PlatformFilter()

  Constructor for the `PlatformFilter` object. This adds a filter which can be used to resolve environment variables followed by one that can be used to resolve system properties and finally one to resolve user specified values.

### PlatformFilter

    public PlatformFilter(java.util.Map map)

  Constructor for the `PlatformFilter` object. This adds a filter which can be used to resolve environment variables followed by one that can be used to resolve system properties and finally one to resolve user specified values.

  Parameters:
    `map` - this is a map contain the user mappings

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD